GCSCPCIB(4)

NAME
gcscpcib - AMD CS553[56] PCI-ISA bridge with timecounter, watchdog timer, and GPIO

SYNOPSIS
gcscpcib* at pci? dev ? function ?
gpio* at gcscpcib?
isa* at gcscpcib?

DESCRIPTION
The gcscpcib driver provides support for the AMD Geode CS5535 and CS5536 Companion chip. This device contains a number of components, including a PCI-ISA bridge. Besides the core functionality, the gcscpcib driver implements a 32-bit 3.5 MHz timecounter, a watchdog timer device, and a GPIO device. The watchdog timer may be configured via the wdogctl(8) utility and the GPIO pins can be manipulated via the gpioctl(8) utility.

SEE ALSO
gpio(4), intro(4), isa(4), pci(4), pcib(4), gpioctl(8), wdogctl(8)

HISTORY
The gcscpcib driver first appeared in OpenBSD 4.3 as glxpcib before being ported to NetBSD 5.0.

AUTHORS
-nosplit The gcscpcib driver was written by Michael Shalayeff and Yojiro UO. The GPIO parts were added by Marc Balmer <mbalmer@openbsd.org>.